﻿using System.Collections.Generic;
using DataLoader;
using DataLoader.Model;

namespace LINQ
{
    public static class DataContext
    {
        public static IReadOnlyList<Carrier> Carriers { get; private set; } = new List<Carrier>();

        public static IReadOnlyList<Aircraft> Aircrafts { get; private set; } = new List<Aircraft>();

        public static IReadOnlyList<AirCrash> AirCrashes { get; private set; } = new List<AirCrash>();

        static DataContext()
        {
            Initialize();
        }

        private static void Initialize()
        {
            var importer = new DataImporter();
            Carriers = importer.ListAllCarriers();
            Aircrafts = importer.ListAllAircrafts();
            AirCrashes = importer.ListAllAirCrashes();
        }
    }
}
